#
# spec file for package procdump
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           procdump
Version:        1.0
Release:        lp152.3.5
Summary:        Create core dumps based on performance triggers
License:        MIT
Group:          Development/Tools/Debuggers
Url:            https://github.com/Microsoft/ProcDump-for-Linux
Source0:        https://github.com/Microsoft/ProcDump-for-Linux/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE procdump-SUSE.patch
Patch0:         procdump-SUSE.patch
# PATCH-FIX-UPSTREAM procdump-no_return_nonvoid.patch
Patch1:         procdump-no_return_nonvoid.patch
BuildRequires:  pkgconfig(zlib)
%if 0%{?suse_version} <= 1320
BuildRequires:  gcc6
%endif

%description
ProcDump is a Linux reimagining of the classic ProcDump tool from the
Sysinternals suite of tools for Windows. ProcDump provides a convenient
way for Linux developers to create core dumps of their application
based on performance triggers.

%prep
%setup -q -n ProcDump-for-Linux-%{version}
%patch0 -p1
%patch1 -p1

%build
export CC=gcc
test -x "$(type -p gcc-6)" && export CC=gcc-6
make

%install
%make_install

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Wed Dec  6 2017 aloisio@gmx.com
- Initial package (1.0)
